Lyx and xforms!! - Linux

This is a discussion on Lyx and xforms!! - Linux ; Hi all, I have this problem: I have Redhat 7.3 installed and i'm trying to install Lyx. I downloaded lyx-1.3.2.tar.gz e I launched ./configure but it return this error: ** Cannot find libforms or libxforms. Please check that the xforms ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Lyx and xforms!!

  1. Lyx and xforms!!

    Hi all,
    I have this problem:
    I have Redhat 7.3 installed and i'm trying to install Lyx.
    I downloaded lyx-1.3.2.tar.gz e I launched ./configure
    but it return this error:

    ** Cannot find libforms or libxforms. Please check that the xforms
    library
    is correctly installed on your system.

    ** Cannot find forms.h. Please check that the forms library
    is correctly installed on your system.
    Then I downloaded xforms-1.0-1.i386.rpm and I installed it. I checked
    and I find libforms.so.1 and libforms.so.1.0
    in /usr/X11R6/lib/, but I didn't find forms.h.
    Then I relaunched ./configure but it return the same error message!!!
    Where is the problem?
    How can I solve it??
    Can someone help me??
    Thanks!

  2. Re: Lyx and xforms!!

    On Fri, 18 Jul 2003 04:38:27 +0000, V. Turner wrote:

    > bob wrote:
    >
    >> Hi all,
    >> I have this problem:
    >> I have Redhat 7.3 installed and i'm trying to install Lyx.
    >> I downloaded lyx-1.3.2.tar.gz e I launched ./configure
    >> but it return this error:
    >>
    >> ** Cannot find libforms or libxforms. Please check that the xforms
    >> library
    >> is correctly installed on your system.
    >>
    >> ** Cannot find forms.h. Please check that the forms library
    >> is correctly installed on your system.
    >> Then I downloaded xforms-1.0-1.i386.rpm and I installed it. I checked
    >> and I find libforms.so.1 and libforms.so.1.0
    >> in /usr/X11R6/lib/, but I didn't find forms.h.
    >> Then I relaunched ./configure but it return the same error message!!!
    >> Where is the problem?
    >> How can I solve it??
    >> Can someone help me??
    >> Thanks!

    >
    > 1) Make sure you have /usr/X11R6/lib in /etc/ld.so.conf (likely).
    > 2) Run /sbin/ldconfig. This will update /etc/ld.so.cache with the new
    > libraries you just added.
    > 3) Run "/sbin/ldconfig -p | grep libforms" to confirm the system can now
    > find them.
    > 4) Now your configure script should find these libraries. If it still
    > doesn't I would examine the configure file itself -- perhaps it's looking
    > for libraries in only certain directories.
    > 5) forms.h is part of rpm package libforms1-devel. Redhat doesn't have any
    > rpms for this under www.rpmfind.net, but chances are you can get away with
    > using one of the mandrake ones.


    I have done quite a few builds and installs of LyX... I use it extensively
    at work and at home. All the stuff V said is basically correct. Red Hat
    7.3 does not have some of the required stuff. Not sure whwere you picked
    up the tarball but... I have pre-built RPMs available for Red Hat 7.3 at:
    http://physics.ramapo.edu/downloads/...dHat-7.3/RPMS/
    if you perefer to build from source
    http://physics.ramapo.edu/downloads/...Hat-7.3/SRPMS/
    Naturally, install the xforms/libforms stuff first.

    Please note there were some bugs in the .spec files from the originals that
    I got from the LyX main download site which I fixed. These bugs are well
    known on the lyx-users mailing lists. The binaries were built on a RH7.3
    box. Either set should build and/or install cleanly. Let me know if you
    have any problems.

    If you want nice antialiased screenfonts and slightly less buggy interface
    than xforms then the version of LyX built against Qt is very good. Works
    best in Red Hat 9.

    For everything LyX see http://www.lyx.org

    -DU-...etc...

+ Reply to Thread